Subject: bug#11935: XINT etc. should be functions

From: Paul Eggert <[email-masked]>
Date: Mon, 16 Jul 2012 14:40:34 -0700

On 07/16/2012 09:12 AM, Eli Zaretskii wrote:
> Why would we need to put a breakpoint on a function that replaces the
> XINT macro?

I was thinking more of larger macros like CHAR_TABLE_REF_ASCII,
where it can be helpful to step through the interior loop.
This cannot be done easily right now -- I typically drop into
machine code, which is painful.

Even for XINT, it can be helpful (for a beginner, anyway) to step
through a function, for example, to see what happens with integers
that are out of range for Emacs fixnums.  I know that Emacs has
gdb macros that substitute for straightforward commands to print
expressions, and these are useful for the long-time Emacs experts who
know about them, but it'd be nicer if debugging also worked in the
usual way without requiring this additional expertise.